package com.dayou.service;
import com.dayou.entity.AssetsEvaluationTargetPurpose;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 资产评估对象评估目的表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2024-04-07
 */
public interface IAssetsEvaluationTargetPurposeService extends IService<AssetsEvaluationTargetPurpose> {

        /**
         * 获取所有资产评估目的集合
         * @return List<AssetsEvaluationTargetPurpose>
         */
        List<AssetsEvaluationTargetPurpose> getPurpose();

        Page<AssetsEvaluationTargetPurpose> selectPage(Page page,AssetsEvaluationTargetPurpose assetsEvaluationTargetPurpose);

        AssetsEvaluationTargetPurpose detail(Long id);

        Boolean add(AssetsEvaluationTargetPurpose assetsEvaluationTargetPurpose);

        Boolean update(AssetsEvaluationTargetPurpose assetsEvaluationTargetPurpose);

        Boolean delete(Long id);

}
